%define name    grio
%define version 0.2
%define release 5mdk

Summary: A GNOME tool for managing your Diamond Rio PMP300 MP3 player
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Sound
URL: http://kipper.crk.umn.edu/~gerla/grio/
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: gtk+ >= 1.2.6

%description
This is a GNOME tool for managing your Diamond Rio PMP300 MP3 player. It
supports all major functions, including:
        Uploading files to the Rio
        Downloading files from the Rio
        Erasing files
        Initializing the Rio
        Rearranging play order
Note: This program must be run as root. Due to issues with Gtk+, running 

suid root is not recommended.

%prep
rm -rf $RPM_BUILD_ROOT 

%setup

%build

export CC="kgcc"
export CXX="kg++"   

%configure

%make

%install
%makeinstall
mkdir -p $RPM_BUILD_ROOT/usr/share/gnome/apps/Multimedia
install -m 755 grio.desktop $RPM_BUILD_ROOT/usr/share/gnome/apps/Multimedia/ 

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/grio"\
title="Grio"\
longtitle="Managing RIO mp3 player"\
needs="x11"\
section="Multimedia/Sound"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus} 



%files
%defattr(-,root,root)
%doc README NEWS AUTHORS COPYING
%{_bindir}/*
%{_datadir}/gnome/apps/Multimedia/*
%{_libdir}/menu/*

%clean
rm -r $RPM_BUILD_ROOT

%changelog
* Tue Jul 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2-5mdk
- rebuild

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2-4mdk
- use egcs & rebuild

* Fri Sep 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2-3mdk
- macros
- BM
- menu  

* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2-2mdk
- fix group
- fix files section 

* Tue Jan 04 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- bz2 archive
- added icon in menu

